Summary: Ansible OCP Playbooks
Name:    ansible-ocp
Version: 1.1.23
Release: 1%{?dist}
Group:   Applications/System
License: GPLv3+ and ASL 2.0
URL: https://github.com/fusor/ansible-ocp
Source0:    %{name}-%{version}.tar.gz

BuildArch: noarch

Requires: ansible >= 2.1

%description
Ansible module for installing and configuring Openshift container platform.

%prep
%setup -q -n %{name}-%{version}
rm -rf ansible-ocp.spec rel-eng

%build

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/%{name}
cp -r * %{buildroot}/%{_datadir}/%{name}

%files
%{_datadir}/%{name}

%changelog
* Wed Feb 15 2017 Dylan Murray <dymurray@redhat.com> 1.1.23-1
- Make token for CFME router have a generic name (dymurray@redhat.com)

* Mon Feb 13 2017 Dylan Murray <dymurray@redhat.com> 1.1.22-1
- 1421280 - Ensure template for service token returns actual token and not
  dockercfg (dymurray@redhat.com)

* Thu Feb 09 2017 Dylan Murray <dymurray@redhat.com> 1.1.21-1
- Bump OCP version to 3.4 (dymurray@redhat.com)

* Thu Feb 09 2017 Dylan Murray <dymurray@redhat.com> 1.1.20-1
- 1420819 - Make post-installation easier to resume and modify imagestream to
  point to satellite (dymurray@redhat.com)

* Wed Feb 08 2017 Dylan Murray <dymurray@redhat.com> 1.1.19-1
- Concatenate strings as opposed to passing in a list to oadm for OCP HA
  (dymurray@redhat.com)

* Tue Feb 07 2017 Dylan Murray <dymurray@redhat.com> 1.1.18-1
- 1419958 - Move scheduling command to all one oadm command
  (dymurray@redhat.com)

* Fri Jan 27 2017 Dylan Murray <dymurray@redhat.com> 1.1.17-1
- Remove htpasswd_auth configuration since its now handled in the answer file
  (dymurray@redhat.com)
- 1415979 - Create OCP users on all master hosts for HA (dymurray@redhat.com)

* Mon Jan 16 2017 Dylan Murray <dymurray@redhat.com> 1.1.16-1
- Added separate front-end and back-end for SSL (derekwhatley@gmail.com)

* Thu Jan 12 2017 Dylan Murray <dymurray@redhat.com> 1.1.15-1
- Add replicas for router and registry pods on HA deployment
  (dymurray@redhat.com)

* Wed Jan 11 2017 Dylan Murray <dymurray@redhat.com> 1.1.14-1
- Fix binded ports on infra load balancer (dymurray@redhat.com)

* Tue Jan 10 2017 Dylan Murray <dymurray@redhat.com> 1.1.13-1
- Avoid issue with firewalld during OCP-HA deploy step (derekwhatley@gmail.com)

* Thu Jan 05 2017 Dylan Murray <dymurray@redhat.com> 1.1.12-1
- Remove primary labeling for HA deployments (dymurray@redhat.com)

* Thu Dec 22 2016 jesus m. rodriguez <jesusr@redhat.com> 1.1.11-1
- update with_items syntax for ansible 2.2 (fabian@fabianism.us)

* Thu Dec 15 2016 jesus m. rodriguez <jesusr@redhat.com> 1.1.10-1
- Add temporary workaround for HA post install as well (dymurray@redhat.com)
- wait 5 minutes before making host unreachable (fabianvf@users.noreply.github.com)
* Mon Dec 12 2016 Jason Montleon <jmontleo@redhat.com> 1.1.9-1
- Separate out HA and non-ha installer template. (jinmaster923@gmail.com)

* Sun Dec 11 2016 Jason Montleon <jmontleo@redhat.com> 1.1.8-1
- fix helloworld image pull (jmontleo@redhat.com)
- fix pushing to registry. (jmontleo@redhat.com)

* Thu Dec 08 2016 Jason Montleon <jmontleo@redhat.com> 1.1.7-1
- Fix missing backslash in post-install files (dymurray@redhat.com)

* Thu Dec 08 2016 Jason Montleon <jmontleo@redhat.com> 1.1.6-1
- Removed .retry file and updated spacing in setup.yml (jinmaster923@gmail.com)
- Added HA capability. (jinmaster923@gmail.com)

* Thu Dec 08 2016 Jason Montleon <jmontleo@redhat.com>
- Removed .retry file and updated spacing in setup.yml (jinmaster923@gmail.com)
- Added HA capability. (jinmaster923@gmail.com)

* Mon Nov 21 2016 John Matthews <jwmatthews@gmail.com> 1.1.4-1
- Temporary workaround to add Docker network as an insecure registry
  (dymurray@redhat.com)

* Thu Oct 13 2016 John Matthews <jwmatthews@gmail.com> 1.1.3-1
- Updated variant_version to OCP 3.3 (dymurray@redhat.com)

* Wed Oct 05 2016 David Gao <jinmaster923@gmail.com> 1.1.2-1
- Nuking .tito folder (jinmaster923@gmail.com)

* Wed Oct 05 2016 David Gao <jinmaster923@gmail.com> 1.1.1-1
- Updated version to match ansible-ovirt Added more build pkg files.
  (jinmaster923@gmail.com)
- Update tito builder config. (jinmaster923@gmail.com)

* Wed Oct 05 2016 David Gao <jinmaster923@gmail.com> 1.0.0-1
- new package built with tito

